image: node:latest

pipelines:
  branches:
    master:
      - step:
          services:
            - docker
          script:
            - apt-get update --fix-missing -qy
            - apt-get install sshpass -y
            - sshpass -p $SSH_PASS ssh -o StrictHostKeyChecking=no -p $SSH_PORT $SSH_USER@heffiqcpq.nl "cd /home/heffnlv/heffiq/nlv-turbo && git stash && git checkout master && git pull https://$GIT_USER:$GIT_PASS@bitbucket.org/nextlevelvalue/nlv-turbo.git master && npm run build"

    development:
          - step:
              services:
                - docker
              script:
                - apt-get update --fix-missing -qy
                - apt-get install sshpass -y
                - sshpass -p $SSH_PASS_DEV ssh -o StrictHostKeyChecking=no -p $SSH_PORT $SSH_USER_DEV@nextlevelvalue.com "cd /home/nextlev9/test.nextlevelvalue.com/nlv-turbo && git stash && git checkout development && git pull https://$GIT_USER:$GIT_PASS@bitbucket.org/nextlevelvalue/nlv-turbo.git development && nvm use 20 && npm run build"

